export declare const customColours: {
    hue: "hsl( 212, 100%,  48%)";
    tint: "hsl(  40,  97%,  61%)";
    shade: "hsl(   0,   0%,  34%)";
    analogue: "hsl( 237,  65%,  76%)";
    accent: "hsl( 148,  36%,  54%)";
};
export declare const FictoanTheme: {
    customColours: {
        hue: "hsl( 212, 100%,  48%)";
        tint: "hsl(  40,  97%,  61%)";
        shade: "hsl(   0,   0%,  34%)";
        analogue: "hsl( 237,  65%,  76%)";
        accent: "hsl( 148,  36%,  54%)";
    };
    globals: {
        borderWidth: string;
    };
    body: {
        bg: "hsl(   0,   0%, 100%)";
    };
    breadcrumbs: {
        wrapper: {
            bg: "hsl(   0,   0%, 100%)";
        };
        item: {
            text: "hsl(   0,   0%,  34%)";
            active: "hsl(   0,   0%,  34%)";
            inactive: "hsl(   0,   0%,  34%)";
        };
        separator: {
            text: "hsl( 209,  12%,  60%)";
            content: string;
        };
    };
    button: {
        font: string;
        isLoading: {
            spinnerBorder: "hsl( 212, 100%,  48%)";
        };
        primary: {
            default: {
                bg: "hsl( 212, 100%,  48%)";
                border: "hsl( 212, 100%,  48%)";
                text: "hsl(   0,   0%, 100%)";
                borderRadius: string;
            };
            onHover: {
                bg: "hsl( 212, 100%,  48%)";
                border: "hsl( 212, 100%,  48%)";
                text: "hsl(   0,   0%, 100%)";
            };
            isActive: {
                bg: "hsl( 212, 100%,  48%)";
                border: "hsl( 212, 100%,  48%)";
                text: "hsl(   0,   0%, 100%)";
            };
            isLoading: {
                spinnerBorder: "hsl(   0,   0%, 100%)";
            };
        };
        secondary: {
            default: {
                bg: string;
                border: "hsl( 212, 100%,  48%)";
                text: "hsl( 212, 100%,  48%)";
                borderRadius: string;
            };
            onHover: {
                bg: string;
                border: "hsl( 212, 100%,  48%)";
                text: "hsl( 212, 100%,  48%)";
            };
            isActive: {
                bg: string;
                border: "hsl( 212, 100%,  48%)";
                text: "hsl( 212, 100%,  48%)";
            };
            isLoading: {
                spinnerBorder: "hsl( 212, 100%,  48%)";
            };
        };
        tertiary: {
            default: {
                bg: "hsla(   0,   0%, 100%, 0)";
                border: "hsl( 212, 100%,  48%)";
                text: "hsl( 212, 100%,  48%)";
                borderRadius: string;
            };
            onHover: {
                bg: string;
                border: "hsla(   0,   0%, 100%, 0)";
                text: "hsl( 212, 100%,  48%)";
            };
            isActive: {
                bg: string;
                border: "hsla(   0,   0%, 100%, 0)";
                text: "hsl( 212, 100%,  48%)";
            };
            isLoading: {
                spinnerBorder: "hsl( 212, 100%,  48%)";
            };
        };
    };
    card: {
        bg: "hsl(   0,   0%, 100%)";
        border: string;
        borderRadius: string;
    };
    hr: {
        default: {
            bg: "hsl( 212, 100%,  54%)";
            height: string;
        };
        primary: {
            bg: "hsl( 212, 100%,  54%)";
            height: string;
        };
        secondary: {
            bg: "hsl( 208,  13%,  80%)";
            height: string;
        };
        tertiary: {
            bg: "hsl( 210,  12%,  90%)";
            height: string;
        };
    };
    inputField: {
        default: {
            bg: "hsl(   0,   0%, 100%)";
            border: "hsl( 208,  13%,  80%)";
            label: "hsl(   0,   0%,  34%)";
            text: "hsl(   0,   0%,  34%)";
            borderRadius: string;
            helpText: "hsl( 210,  12%,  70%)";
        };
        onFocus: {
            bg: "hsl(   0,   0%, 100%)";
            border: "hsl( 212, 100%,  48%)";
            text: "hsl(   0,   0%,  34%)";
        };
        isValid: {
            bg: "hsl(   0,   0%, 100%)";
            border: "hsl( 148,  36%,  54%)";
            label: "hsl(   0,   0%,  34%)";
        };
        isInvalid: {
            bg: "hsl(   0,  84%,  96%)";
            border: "hsl(   0,  84%,  68%)";
            label: "hsl(   0,  84%,  60%)";
            errorText: "hsl(   0,  84%,  60%)";
        };
        isReadOnly: {
            bg: "hsl( 200,  11%,  95%)";
            border: "hsl( 210,  12%,  90%)";
            text: "hsl( 210,  12%,  70%)";
            label: "hsl(   0,   0%,  34%)";
        };
        required: {
            text: "hsl(   0,  84%,  60%)";
        };
        icons: {
            default: {
                fill: "hsl( 213,  12%,  85%)";
            };
            onFocus: {
                fill: "hsl( 212, 100%,  48%)";
            };
            isValid: {
                bg: "hsl(   0,   0%,  69%)";
                border: "hsl(   0,  84%,  88%)";
            };
        };
    };
    select: {
        chevron: "hsl( 212, 100%,  48%)";
    };
    radioButton: {
        inset: {
            default: {
                bg: "hsl( 210,  12%,  90%)";
            };
            onHover: {
                bg: "hsl( 208,  13%,  80%)";
            };
            isSelected: {
                bg: "hsl( 212, 100%,  48%)";
            };
            isDisabled: {
                bg: "hsl( 200,  11%,  95%)";
            };
        };
        circle: {
            default: {
                bg: "hsl(   0,   0%, 100%)";
            };
        };
    };
    checkBox: {
        square: {
            default: {
                bg: "hsl( 210,  12%,  90%)";
            };
            onHover: {
                bg: "hsl( 208,  13%,  80%)";
            };
            isChecked: {
                bg: "hsl( 212, 100%,  48%)";
            };
            isDisabled: {
                bg: "hsl( 200,  11%,  95%)";
            };
        };
        check: {
            default: {
                border: "hsl(   0,   0%, 100%)";
            };
        };
    };
    toggleSwitch: {
        switch: {
            default: {
                bg: "hsl(   0,   0%, 100%)";
            };
            isChecked: {
                bg: "hsl(   0,   0%, 100%)";
            };
        };
    };
    infoPanel: {
        bg: "hsl(   0,   0%, 100%)";
        border: "hsl( 210,  12%,  90%)";
        dismissButton: {
            color: "hsl( 210,  12%,  55%)";
        };
    };
    notification: {
        default: {
            bg: "hsl(   0,   0%, 100%)";
            text: "hsl(   0,   0%,  34%)";
        };
        kinds: {
            info: {
                border: "hsl( 212, 100%,  65%)";
            };
            warning: {
                border: "hsl(  40,  97%,  61%)";
            };
            error: {
                border: "hsl(   0,  84%,  64%)";
            };
            success: {
                border: "hsl( 148,  39%,  48%)";
            };
        };
    };
    progressBar: {
        bg: "hsl( 210,  12%,  90%)";
        fill: "hsl( 212, 100%,  48%)";
        label: "hsl(   0,   0%,  34%)";
        value: "hsl(   0,   0%,  34%)";
        borderRadius: string;
    };
    sidebar: {
        width: string;
        bg: "hsl(   0,   0%, 100%)";
        isCollapsed: {
            width: string;
            label: {
                text: "hsl(   0,   0%, 100%)";
                bg: "hsl( 212, 100%,  48%)";
            };
        };
        header: {
            bg: "hsl(   0,   0%, 100%)";
            borderBottom: "hsl( 200,  11%,  95%)";
            logoWidth: string;
        };
        linksWrapper: {
            icons: {
                size: string;
                stroked: {
                    thickness: number;
                    default: {
                        line: "hsl( 208,  13%,  80%)";
                    };
                    onHover: {
                        line: "hsl( 209,  12%,  60%)";
                    };
                    isActive: {
                        line: "hsl( 209,  12%,  50%)";
                    };
                };
                filled: {
                    default: {
                        bg: "hsl( 208,  13%,  80%)";
                    };
                    onHover: {
                        bg: "hsl( 209,  12%,  60%)";
                    };
                    isActive: {
                        bg: "hsl( 209,  12%,  50%)";
                    };
                };
            };
            links: {
                default: {
                    bg: "hsl(   0,   0%, 100%)";
                    text: "hsl(   0,   0%,  34%)";
                    scale: number;
                    weight: number;
                };
                onHover: {
                    bg: "hsl( 200,  11%,  95%)";
                    text: "hsl( 212, 100%,  48%)";
                };
                isSelected: {
                    bg: "hsl(   0,   0%, 100%)";
                    border: "hsl( 212, 100%,  48%)";
                    text: "hsl( 212, 100%,  48%)";
                };
                hasAlert: {
                    bg: "hsl(   0,  84%,  72%)";
                };
            };
            subLinks: {
                header: {
                    weight: number;
                };
                default: {
                    bg: "hsl(   0,   0%, 100%)";
                    text: string;
                    weight: number;
                    scale: number;
                };
                onHover: {
                    bg: "hsl( 200,  11%,  95%)";
                    text: "hsl( 212, 100%,  48%)";
                };
                chevron: {
                    border: "hsl( 208,  13%,  80%)";
                };
            };
        };
        footer: {
            height: string;
            bg: "hsl(   0,   0%, 100%)";
            borderTop: "hsl( 200,  11%,  95%)";
        };
    };
    table: {
        bg: "hsl(   0,   0%, 100%)";
        text: "hsl(   0,   0%,  34%)";
        border: "hsl( 208,  13%,  80%)";
        striped: {
            header: {
                bg: "hsl( 212, 100%,  77%)";
            };
            cell: {
                bg: "hsl( 210,  12%,  90%)";
            };
        };
        onHover: {
            bg: "hsl(  40,  95%,  92%)";
            text: "hsl(   0,   0%,  34%)";
        };
    };
    tablePagination: {
        bg: "hsl(   0,   0%, 100%)";
        text: "hsl(   0,   0%,  34%)";
        svg: {
            onHover: {
                stroke: "hsl( 210,  12%,  70%)";
            };
        };
    };
    tabs: {
        label: {
            default: {
                text: string;
            };
            onHover: {
                text: string;
            };
            isActive: {
                border: "hsl( 212, 100%,  48%)";
                text: "hsl( 212, 100%,  48%)";
            };
            isDisabled: {
                text: string;
            };
            hasAlert: {
                circle: {
                    bg: "hsl(   0,  84%,  64%)";
                    border: "hsl( 200,  11%,  95%)";
                };
            };
        };
    };
    text: {
        font: {
            sans: string;
            serif: string;
            mono: string;
        };
        paras: {
            font: string;
            size: number;
            color: "hsl(   0,   0%,  34%)";
            weight: number;
            lineHeight: number;
        };
        headings: {
            font: string;
            color: "hsl(   0,   0%,  34%)";
            weight: number;
            multiplier: number;
            lineHeight: number;
        };
        links: {
            font: string;
            default: {
                color: "hsl( 212, 100%,  48%)";
            };
            onHover: {
                color: "hsl( 212, 100%,  65%)";
            };
        };
        selection: {
            bg: "hsl( 212, 100%,  48%)";
            text: "hsl(   0,   0%, 100%)";
        };
        code: {
            inline: {
                bg: "hsl( 212, 100%,  95%)";
                text: "hsl( 212, 100%,  48%)";
                scale: number;
            };
            block: {
                bg: string;
                text: "hsl( 212, 100%,  59%)";
                scale: number;
                lineHeight: number;
            };
            prism: {
                tokens: {
                    tag: "hsl( 258,  55%,  58%)";
                    atrule: "hsl( 174,  58%,  53%)";
                    attrName: "hsl(  30,  92%,  56%)";
                    attrValue: "hsl( 148,  36%,  54%)";
                    boolean: "hsl( 148,  36%,  54%)";
                    cdata: "hsl(   0,   0%,  55%)";
                    className: "hsl(   0,  84%,  60%)";
                    comment: "hsl(   0,   0%,  55%)";
                    constant: "hsl( 148,  36%,  54%)";
                    deleted: "hsl( 209,  12%,  60%)";
                    delimiter: "hsl(   0,   0%,  41%)";
                    doctype: "hsl(   0,   0%,  41%)";
                    entity: "hsl( 148,  36%,  54%)";
                    function: "hsl(  30,  92%,  56%)";
                    hexcode: "hsl( 148,  50%,  42%)";
                    inserted: "hsl( 148,  36%,  54%)";
                    italic: "hsl( 148,  36%,  54%)";
                    keyword: "hsl(  30,  92%,  60%)";
                    namespace: "hsl( 148,  36%,  54%)";
                    number: "hsl( 148,  36%,  54%)";
                    operator: "hsl(  78,  54%,  52%)";
                    plain: "hsl(   0,   0%,  34%)";
                    prolog: "hsl(   0,   0%,  41%)";
                    property: "hsl(   0,  84%,  64%)";
                    punctuation: "hsl(   0,   0%,  62%)";
                    regex: "hsl( 148,  36%,  54%)";
                    selector: "hsl( 258,  55%,  58%)";
                    string: "hsl( 340,  64%,  65%)";
                    symbol: "hsl( 148,  36%,  54%)";
                    url: "hsl( 148,  36%,  54%)";
                    variable: "hsl(  30,  92%,  64%)";
                };
                languages: {
                    css: {
                        fallback: "hsl(  30,  92%,  60%)";
                    };
                    html: {
                        fallback: "hsl(   0,   0%,  34%)";
                    };
                    js: {
                        fallback: "hsl( 259,  55%,  62%)";
                    };
                    json: {
                        fallback: "hsl( 174,  62%,  48%)";
                        tokens: {
                            string: "hsl( 174,  62%,  48%)";
                        };
                    };
                };
            };
        };
        kbd: {
            text: "hsl(   0,   0%,  34%)";
            bg: "hsl(   0,   0%,  97%)";
        };
    };
    spinner: {
        color: "hsl( 174,  62%,  48%)";
    };
};
